<template>
  <div class="home">
    <button @click="handleOne">One</button>
    <button @click="handleTow">Tow</button>
    <router-view/>
  </div>
</template>

<script>
export default {
  name: 'Home',
  data () {
    return {
      msg: 'Home'
    }
  },
  watch:{
   
    /** 
     //监听路由的路径 
    $route(to,from){
        console.log('TO：',to.path);
        console.log('FROM：',from.path);
    },*/
    /**
     * //监听路由的路径，并获取全部数据
    $route:{
        handler:function(newVal,oldVal){    
            console.log('新的路由信息：',newVal);
            console.log('旧的路由信息：',oldVal);
        },
        //深度监听
        deep:true
    }*/
    // 监听路由的路径 
    '$route':'getPath'
  },
  methods:{
    handleOne(){
        this.$router.push({
            name:'One'
        })
    },
    handleTow(){
        this.$router.push({
            name:'Tow'
        })
    },
    getPath(){
        console.log(this.$route.path);
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this compHoment only -->
<style scoped>

</style>
